﻿Imports System.Windows.Forms

Public Class IPDialog
    Public connParent As Connection
    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub OK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        connParent.addrChange(NameText.Text, IPAddr.GetAddressString, Subnet.GetAddressString(), Gateway.GetAddressString())
        Me.Close()
    End Sub
    Private Sub Cancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub
    Public Sub New(ByVal p_parent As Connection, ByVal p_name As String, ByVal p_ip As String, ByVal p_subnet As String, ByVal p_gateway As String)

        ' This call is required by the Windows Form Designer.
        InitializeComponent()
        connParent = p_parent

        ' Add any initialization after the InitializeComponent() call.
        If p_name <> "" Then
            NameText.Text = p_name
        Else
            '    NameText.Visible = False
        End If
        If p_ip <> "" Then
            IPAddr.SetAddress(p_ip)
        End If
        If p_subnet <> "" Then
            Subnet.SetAddress(p_subnet)
        End If
        If p_gateway <> "" Then
            Gateway.SetAddress(p_gateway)
        End If
    End Sub
End Class
